#include <stdio.h>

main(){
	long long p, max;
	scanf("%lld%lld", &p, &max);
	if(p < 3*max)printf("-1");
	else{
		printf("%lld 0\n", max);
		if(p%2==0)printf("%lld 0\n", max);
		else {
			printf("%lld 1\n", max);
			p-=1;
		}
		p-=2*max;
		if(p>=2*max)printf("%lld %lld", p-(p-2)/2, p/2-1);
		else printf("%lld %lld", max, p-max);
	}
}